=== modified file 'src/main/java/common/Utils.java'
--- src/main/java/common/Utils.java	2017-08-23 07:33:51 +0000
+++ src/main/java/common/Utils.java	2017-08-24 12:54:32 +0000
@@ -15,13 +15,12 @@
   static public String
   real_hash_func (String t, String s) {
     int a = t.getBytes()[0];
-    
     int b = t.getBytes()[a%t.length()];
     
-    
-    
-    
-    return null;
+    StringBuilder sb = new StringBuilder ();
+    sb.append (t).insert (b, s);
+    
+    return sb.toString();
   }
   
   /**

=== modified file 'src/main/webapp/index.xhtml'
--- src/main/webapp/index.xhtml	2017-08-23 08:34:37 +0000
+++ src/main/webapp/index.xhtml	2017-08-24 12:54:32 +0000
@@ -1,15 +1,19 @@
-<?xml version="1.0" encoding="UTF-8" ?> 
+<?xml version="1.0" encoding="UTF-8" ?>
 <!DOCTYPE html>
 <html xmlns="http://www.w3.org/1999/xhtml"
-      xmlns:ui="http://java.sun.com/jsf/facelets"
-      xmlns:f="http://xmlns.jcp.org/jsf/core" 
-      xmlns:h="http://xmlns.jcp.org/jsf/html"
-      xmlns:pt="http://xmlns.jcp.org/jsf/passthrough">
-  <h:head>
-    <h:outputStylesheet library="css" name="main.css" />
-    <title>${configBean.pageTitle} - ${configBean.subTitle} </title>
-  </h:head>
-  <h:body>
-      <ui:decorate template="WEB-INF/templates/page_header.xhtml" />
-  </h:body>
+  xmlns:ui="http://java.sun.com/jsf/facelets"
+  xmlns:f="http://xmlns.jcp.org/jsf/core"
+  xmlns:h="http://xmlns.jcp.org/jsf/html"
+  xmlns:pt="http://xmlns.jcp.org/jsf/passthrough">
+<h:head>
+  <h:outputStylesheet library="css" name="main.css" />
+  <title>${configBean.pageTitle} - ${configBean.subTitle}</title>
+</h:head>
+<h:body>
+  <ui:decorate template="WEB-INF/templates/page_header.xhtml" />
+
+  <div class="main-view">
+    <!--  Stuffs goes here. -->
+  </div>
+</h:body>
 </html>

=== modified file 'src/main/webapp/resources/css/main.css'
--- src/main/webapp/resources/css/main.css	2017-08-23 09:48:39 +0000
+++ src/main/webapp/resources/css/main.css	2017-08-24 12:54:32 +0000
@@ -1,3 +1,8 @@
+body {
+  padding: 0px;
+  margin: 0px;
+}
+
 a:visited {
   color: darkblue;
 }
@@ -11,12 +16,14 @@
 }
 
 .header_bar {
-  position: absolute;
-  width: 100%;
   background-color: lightgray;
-  margin-left: -0.5em;
-  margin-top: -0.5em;
+  margin-left: 0px;
+  margin-top: -4.5em;
   box-shadow: 0px 5px 5px black;
+  margin-right: 0px;
+  z-index: 666 !important;
+  position: fixed;
+  width: 100%;
 }
 
 .header_bar header {
@@ -32,4 +39,15 @@
 .header_bar header p {
   padding: 0px;
   margin: 0px;
+}
+
+
+.main-view {
+    width: 70em;
+    min-height: 10em;
+    margin-left: auto;
+    margin-right: auto;
+    margin-top:4.50em;
+    background-color: lightgray;
+    box-shadow: 0px 0px 5px black;
 }
\ No newline at end of file

